<?php

if ( ! defined( 'ABSPATH' ) ) exit;
class Event_Registration_Pro_Admin {

	/**
	 * The ID of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $name    The ID of this plugin.
	 */
	public $name;

	/**
	 * The version of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $version    The current version of this plugin.
	 */
	private $version;
  
	/**
	 * Initialize the class and set its properties.
	 *
	 * @since    1.0.0
	 * @var      string    $name       The name of this plugin.
	 * @var      string    $version    The version of this plugin.
	 */
	public function __construct( $name, $version ) {

		$this->name = $name;
		$this->version = $version;


	}

	/**
	 * Register the stylesheets for the Dashboard.
	 *
	 * @since    1.0.0
	 */
	public function enqueue_styles() {

	

		wp_enqueue_style( $this->name, plugin_dir_url( __FILE__ ) . 'css/event-registration-pro-admin.css', array(), $this->version, 'all' );
		wp_enqueue_style( 'bootstrap', plugin_dir_url( __FILE__ ) . 'css/bootstrap.min.css', array(), $this->version, 'all' );	
		wp_enqueue_style( 'style', plugin_dir_url( __FILE__ ) . 'css/style.css', array(), $this->version, 'all' );	
		

	}

	/**
	 * Register the JavaScript for the dashboard.
	 *
	 * @since    1.0.0
	 */
	public function enqueue_scripts() {

		
		wp_enqueue_script( $this->name, plugin_dir_url( __FILE__ ) . 'js/event-registration-pro-admin.js', array( 'jquery' ), $this->version, FALSE );
		wp_enqueue_script( 'jscolor', plugin_dir_url( __FILE__ ) . 'js/jscolor.js', array( 'jquery' ), $this->version, FALSE );
		wp_enqueue_script( 'state', plugin_dir_url( __FILE__ ) . 'js/state.js', array( 'jquery' ), $this->version, FALSE );		 
		wp_enqueue_script( 'bootstrap-js', plugin_dir_url( __FILE__ ) . 'js/bootstrap.min.js', array( 'jquery' ), $this->version, 'all' );
		wp_enqueue_script( 'google-js','https://www.google.com/jsapi', array( 'jquery' ), $this->version, FALSE );
		
		
	}
	
	/*
	* Register the jquery datepicker and timepicker js and css
	*/
	public function erp_calendar_scripts() {
		  
		//Datepicker js and css 
		
	
		//Timepicker js and css
		wp_enqueue_script( 'jquery-ui-datepicker', array( 'jquery' ) );
		wp_enqueue_script('erpTimepicker',plugin_dir_url( __FILE__ ) . 'js/jquery.ui.timepicker.js', array( 'jquery' ), $this->version, false); 
	
		
		
	} 

}
 function register() { 
			 
			//Add Event post type
			$labels = array( 
				'singular_name'       => _x( 'Event Registration Pro', 'Post Type Singular Name', 'event-registration-pro' ),
				'menu_name'           => __( 'Event Registration Pro', 'event-registration-pro' ),
				'parent_item_colon'   => __( 'Parent Item:', 'event-registration-pro' ),
				'all_items'           => __( 'Event Manager', 'event-registration-pro' ),
				'view_item'           => __( 'View Events', 'event-registration-pro' ), 
				'add_new'             => __( 'Create New Event', 'event-registration-pro' ),
				'edit_item'           => __( 'Edit Event', 'event-registration-pro' ),
				'update_item'         => __( 'Update Event', 'event-registration-pro' ),
				'search_items'        => sprintf( __( 'Search %s', 'event-registration-pro' ), 'Events' ),
				'not_found'           => __( 'Not found', 'event-registration-pro' ),
				'not_found_in_trash'  => __( 'Not found in Trash', 'event-registration-pro' ),
			);
			$args = array( 
				'labels'              => $labels, 
				'supports'            => array( 'title','editor','thumbnail','page-attributes' ),
				'hierarchical'        => false,
				'public'              => true,
				'show_ui'             => true,
				'show_in_menu'        => true,
				'show_in_nav_menus'   => true,
				'show_in_admin_bar'   => true,
				'menu_position'       => 22,
				'can_export'          => true,
				'has_archive'         => true,
				'exclude_from_search' => true,
				//'publicly_queryable'  => false,
				//'rewrite' => array('slug' => 'movies'),
				'rewrite' => array( 'slug' => 'events' ),
				'capability_type'     => 'page',
				'menu_icon'           => 'dashicons-calendar-alt',
				'taxonomies'    => array(
					'erp-event-category'
				)
 			);
			register_post_type( 'erp_event', $args );   
			
			//Add Categories  
			register_taxonomy(
			'erp-event-category',
			'erp_event',
				array(
					//'label' 	=> __( 'Event Categories','event-registration-pro' ), 
					'labels' => array( 
								'name' => __( 'Event Categories', '' ), 
								'singular_name' => __( 'Categories', 'event-registration-pro' ),
								'popular_items' => __( 'Popular Categories', 'event-registration-pro' ),
								'search_items' => __( 'Search Categories' ,'event-registration-pro' ),
								'all_items' => __( 'All Categories', 'event-registration-pro' ), 
								'parent_item' => __( 'Parent Categories', 'event-registration-pro' ), 
								'parent_item_colon' => __( 'Parent Categories:', 'event-registration-pro' ),
								'edit_item' => __( 'Edit Categories', 'event-registration-pro' ),
								'update_item' => __( 'Update Categories', 'event-registration-pro' ),
								'add_new_item' => __( 'Create new category', 'event-registration-pro' ), 
								'new_item_name' => __( 'New Categories Name', 'event-registration-pro' ), 
								'menu_name' => __( 'Event Categories','event-registration-pro' )
							  ),
					'rewrite' => array( 'slug' => 'event_category' )
					
				)
			);
			
			
			//Add Registration Forms post type 
			$labels = array( 
				'all_items'				=> 	__( 'Registration Forms', 'event-registration-pro' ),
				'menu_name'				=>	__( 'Registration Forms', 'event-registration-pro' ),
				'singular_name' 		=>	__( 'Registration Forms', 'event-registration-pro' ),
				'edit_item' 			=>	__( 'Edit Registration Form', 'event-registration-pro' ),
				'new_item'  			=>	__( 'Create New Registration Form', 'event-registration-pro' ),
				'add_new'               =>  __( 'Create New Registration Form', 'event-registration-pro' ),
				'view_item' 			=>	__( 'View Registration Forms', 'event-registration-pro' ),
				'items_archive' 		=>	__( 'Registration Forms Archive', 'event-registration-pro' ),
				'search_items'  		=>	sprintf( __( 'Search %s', 'event-registration-pro' ), 'Registration Forms' ),
				'not_found'	    	 	=>	__( 'No registration form found.', 'event-registration-pro' ),
				'not_found_in_trash' 	=>  __( 'No registration form found in trash.', 'event-registration-pro' )
			);
			$args = array(
				'labels'              => $labels,
				'supports'            => array( 'title', 'editor' ),
				'public'              => true,
 				'show_ui'             => true,
				'show_in_menu'        => 'edit.php?post_type=erp_event',  
				'can_export'          => true,
				'has_archive'         => true,
				'exclude_from_search' => true,
				'publicly_queryable'  => false,
				'rewrite' => array('slug' => 'registration'),
				'capability_type'     => 'page'
 			);
			register_post_type( 'erp_regforms', $args );   
			
			
			
			//Add Location post type 
			$labels = array( 
				'all_items'				=> 	__( 'Location Manager', 'event-registration-pro' ),
				'menu_name'				=>	__( 'Location Manager', 'event-registration-pro' ),
				'singular_name' 		=>	__( 'Location Manager', 'event-registration-pro' ),
				'edit_item' 			=>	__( 'Edit Location', 'event-registration-pro' ),
				'new_item'  			=>	__( 'Create New Location', 'event-registration-pro' ),

				'add_new'               =>  __( 'Create New Location', 'event-registration-pro' ),
				'view_item' 			=>	__( 'View Location', 'event-registration-pro' ),
				'items_archive' 		=>	__( 'Location Archive', 'event-registration-pro' ),
				'search_items'  		=>	sprintf( __( 'Search %s', 'event-registration-pro' ), 'Locations' ),
				'not_found'	    	 	=>	__( 'No locations found.', 'event-registration-pro' ),
				'not_found_in_trash' 	=>  __( 'No locations found in trash.', 'event-registration-pro' )
			);
			$args = array(
				'labels'              => $labels,
				'supports'            => array( 'title', 'editor' ),
 				'show_ui'             => true,
				'public'              => true,
				'show_in_menu'        => 'edit.php?post_type=erp_event',  
				'can_export'          => true,
				'has_archive'         => true,
				'exclude_from_search' => true,
				'publicly_queryable'  => false,
				'rewrite' => array('slug' => 'location'),
				'capability_type'     => 'page'
 			);
			register_post_type( 'erp_locations', $args );   
			
			
			//Add Organizers post type 
			$labels = array( 
				'all_items'				=> 	__( 'Organizers', 'event-registration-pro' ),
				'menu_name'				=>	__( 'Organizers', 'event-registration-pro' ),
				'singular_name' 		=>	__( 'Organizers', 'event-registration-pro' ),
				'edit_item' 			=>	__( 'Edit Organizer', 'event-registration-pro' ),
				'new_item'  			=>	__( 'Create New Organizer', 'event-registration-pro' ),
				'add_new'               =>  __( 'Create New Organizer', 'event-registration-pro' ),
				'view_item' 			=>	__( 'View Organizer', 'event-registration-pro' ),
				'items_archive' 		=>	__( 'Organizer Archive', 'event-registration-pro' ),
				'search_items'  		=>	sprintf( __( 'Search %s', 'event-registration-pro' ), 'Organizers' ),
				'not_found'	    	 	=>	__( 'No organizers found.', 'event-registration-pro' ),
				'not_found_in_trash' 	=>  __( 'No organizers found in trash.', 'event-registration-pro' )
			);
			$args = array(
				'labels'              => $labels,
				'supports'            => array( 'title','editor' ),
 				'show_ui'             => true,
				'public'              => true,
				'show_in_menu'        => 'edit.php?post_type=erp_event',   
				'can_export'          => true,
				'has_archive'         => true,
				'exclude_from_search' => true,
				'publicly_queryable'  => false,
				'rewrite' => array('slug' => 'organizers'),
				'capability_type'     => 'page'
 			);
			register_post_type( 'erp_organizers', $args );   
			
			
			//Add Email Templates post type 
			$labels = array( 
				'all_items'				=> 	__( 'Email Templates', 'event-registration-pro' ),
				'menu_name'				=>	__( 'Email Templates', 'event-registration-pro' ),
				'singular_name' 		=>	__( 'Email Templates', 'event-registration-pro' ),
				'edit_item' 			=>	__( 'Edit Email Template', 'event-registration-pro' ),
				'new_item'  			=>	__( 'Create New Email Template', 'event-registration-pro' ),
				'add_new'               =>  __( 'Create New Email Template', 'event-registration-pro' ),
				'view_item' 			=>	__( 'View Email Templates', 'event-registration-pro' ),
				'items_archive' 		=>	__( 'Email Templates  Archive', 'event-registration-pro' ),
				'search_items'  		=>	sprintf( __( 'Search %s', 'event-registration-pro' ), 'Email Templates' ),
				'not_found'	    	 	=>	__( 'No Email found.', 'event-registration-pro' ),
				'not_found_in_trash' 	=>  __( 'No Email found in trash.', 'event-registration-pro' )
			);
			$args = array(
				'labels'              => $labels,
				'supports'            => array( 'title' ),
				'show_ui'             => true,
				'public'              => true,
				'show_in_menu'        => 'edit.php?post_type=erp_event',  
				'can_export'          => true,
				'has_archive'         => true,
				'exclude_from_search' => true,
				//'publicly_queryable'  => false,
				'rewrite' => array('slug' => 'email_temp'),
				'capability_type'     => 'page'  
			);
			register_post_type( 'erp_email_template', $args ); 
 		}  
// Hooking up our function to theme setup
add_action( 'init', 'register' );


add_action( 'admin_menu', 'register_details_report' );

function register_details_report()
{
	$menu_slug = 'edit.php?post_type=erp_event';	
	add_submenu_page( $menu_slug, __('Register Report','event-registration-pro'), __('Register Report','event-registration-pro'), 'manage_options', 'register-report-view', 'register_report_view'); 
	add_submenu_page( $menu_slug, __('Add Registrant','event-registration-pro'), __('Add Registrant','event-registration-pro'), 'manage_options', 'add-register-report', 'add_register_report');
	add_submenu_page( $menu_slug, __('Cron Fire','event-registration-pro'), __('Cron Fire','event-registration-pro'), 'manage_options', 'cron-mail', 'cron_mail_send');
	add_submenu_page( $menu_slug, __('Individual Mail','event-registration-pro'),  __('Individual Mail','event-registration-pro'), 'manage_options', 'individual-mail', 'individual_mail_send');
	add_submenu_page( $menu_slug, __('Add-Ons Manager','event-registration-pro'), __('Add-Ons Manager','event-registration-pro'), 'manage_options', 'add-ons-manager', 'add_ons_manager');
	
  }
function add_ons_manager()
{

 $register = new Event_Registration_Pro_Add_Ons_Manager;
 $register-> add_ons_manager();
   
}
function individual_mail_send()
{
   
 $register = new Event_Registration_Pro_Individual_Mail;
 $register-> individual_mail_send();
   
}
function register_report_view()
{
   
 $register = new Event_Registration_Pro_Report_View;
 $register-> event_report();
   
}
function add_register_report()
{
   
 $register = new Event_Registration_Pro_Report_Add;
 $register-> event_report_add();
  
}
/*reminder_notification mailcron*/
function cron_mail_send()
{
   
 $register = new Event_Registration_Pro_Cron_Mail;
 $register-> event_cron_mail();
  
}
/*editor above show title*/
function ps_edit_form_top( $post_type ) {
$screen = get_current_screen();
$post_type = $screen->post_type;
if ( $post_type != 'erp_regforms' )
return;
 
echo '<h2>Thank you message:</h2>';
 
}
add_action( 'edit_form_after_title', 'ps_edit_form_top' );