<?php
if ( ! defined( 'ABSPATH' ) ) exit;

class Event_Registration_Pro_Public {

	/**
	 * The ID of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $name    The ID of this plugin.
	 */
	private $name;

	/**
	 * The version of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $version    The current version of this plugin.
	 */
	private $version;

	/**
	 * Initialize the class and set its properties.
	 *
	 * @since    1.0.0
	 * @var      string    $name       The name of the plugin.
	 * @var      string    $version    The version of this plugin.
	 */
	public function __construct( $name, $version ) {

		$this->name = $name;
		$this->version = $version;
		
	}

	/**
	 * Register the stylesheets for the public-facing side of the site.
	 *
	 * @since    1.0.0
	 */
	public function enqueue_styles() { 

		wp_enqueue_style( $this->name, plugin_dir_url( __FILE__ ) . 'css/event-registration-pro-public.css', array(), $this->version, 'all' );
		
		wp_enqueue_style( 'fullcalendar', plugin_dir_url( __FILE__ ) . 'css/fullcalendar.min.css', array(), $this->version, 'all' );
		
		wp_enqueue_style( 'atc-style-calendar',plugin_dir_url( __FILE__ ) . 'css/common.css', array(), $this->version, 'all' );
		
		$event_general_settings=array();
		$event_general_settings = get_option("erp_event_general_settings"); 
		$bootstrap_css=$event_general_settings['erp_event_general_settings_boot_style'];
		if($bootstrap_css=='Yes'){
		wp_enqueue_style( 'bootstrapcss',plugin_dir_url( __FILE__ ) . 'css/bootstrap.min.css', array(), $this->version, 'all' );?>
			<style>.btn{ font-size: 1.4rem!important;}	</style>
		<?php }
	}

	/**
	 * Register the stylesheets for the public-facing side of the site.
	 *
	 * @since    1.0.0
	 */
	public function enqueue_scripts() {

	

		wp_enqueue_script( $this->name, plugin_dir_url( __FILE__ ) . 'js/event-registration-pro-public.js', array( 'jquery' ), $this->version, FALSE );
		wp_enqueue_script( 'moment', plugin_dir_url( __FILE__ ) . 'js/moment.min.js', array( 'jquery' ), $this->version, FALSE );
		wp_enqueue_script( 'fullcalendar', plugin_dir_url( __FILE__ ) . 'js/fullcalendar.min.js', array( 'jquery' ), $this->version, FALSE );
		wp_enqueue_script( 'jquery-ui-datepicker', array( 'jquery' ) );
		
		wp_enqueue_script( 'state', plugin_dir_url( __FILE__ ) . 'js/state.js', array( 'jquery' ), $this->version, FALSE );
		$event_general_settings=array();
		$event_general_settings = get_option("erp_event_general_settings"); 
		$bootstrap_css=$event_general_settings['erp_event_general_settings_boot_style'];
		if($bootstrap_css=='Yes'){
		wp_enqueue_script( 'bootstrap', plugin_dir_url( __FILE__ ) . 'js/bootstrap.min.js', array( 'jquery' ), $this->version, FALSE );
		
		}
		
	}  
}
